pre { line-height: 125%; }
/* solarized light + dark */
.highlight { background: #fdf6e3; color: #657b83; }
html[data-theme="dark"] .highlight { background: #002b36; color: #93a1a1; }
td.linenos .normal { color: #93a1a1; background-color: #eee8d5; padding-left: 5px; padding-right: 5px; }
span.linenos { color: #93a1a1; background-color: #eee8d5; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll  { background-color: #eee8d5 }
.highlight .c  { color: #93A1A1; font-style: italic } /* Comment */
.highlight .err  { color: #657B83; background-color: #DC322F } /* Error */
.highlight .esc  { color: #657B83 } /* Escape */
.highlight .g  { color: #657B83 } /* Generic */
.highlight .k  { color: #859900 } /* Keyword */
.highlight .l  { color: #657B83 } /* Literal */
.highlight .n  { color: #657B83 } /* Name */
.highlight .o  { color: #93A1A1 } /* Operator */
.highlight .x  { color: #657B83 } /* Other */
.highlight .p  { color: #657B83 } /* Punctuation */
.highlight .ch  { color: #93A1A1; font-style: italic } /* Comment.Hashbang */
.highlight .cm  { color: #93A1A1; font-style: italic } /* Comment.Multiline */
.highlight .cp  { color: #D33682 } /* Comment.Preproc */
.highlight .cpf  { color: #93A1A1 } /* Comment.PreprocFile */
.highlight .c1  { color: #93A1A1; font-style: italic } /* Comment.Single */
.highlight .cs  { color: #93A1A1; font-style: italic } /* Comment.Special */
.highlight .gd  { color: #DC322F } /* Generic.Deleted */
.highlight .ge  { color: #657B83; font-style: italic } /* Generic.Emph */
.highlight .ges  { color: #657B83; font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr  { color: #DC322F } /* Generic.Error */
.highlight .gh  { color: #657B83; font-weight: bold } /* Generic.Heading */
.highlight .gi  { color: #859900 } /* Generic.Inserted */
.highlight .go  { color: #657B83 } /* Generic.Output */
.highlight .gp  { color: #268BD2; font-weight: bold } /* Generic.Prompt */
.highlight .gs  { color: #657B83; font-weight: bold } /* Generic.Strong */
.highlight .gu  { color: #657B83; text-decoration: underline } /* Generic.Subheading */
.highlight .gt  { color: #268BD2 } /* Generic.Traceback */
.highlight .kc  { color: #2AA198 } /* Keyword.Constant */
.highlight .kd  { color: #2AA198 } /* Keyword.Declaration */
.highlight .kn  { color: #CB4B16 } /* Keyword.Namespace */
.highlight .kp  { color: #859900 } /* Keyword.Pseudo */
.highlight .kr  { color: #859900 } /* Keyword.Reserved */
.highlight .kt  { color: #B58900 } /* Keyword.Type */
.highlight .ld  { color: #657B83 } /* Literal.Date */
.highlight .m  { color: #2AA198 } /* Literal.Number */
.highlight .s  { color: #2AA198 } /* Literal.String */
.highlight .na  { color: #657B83 } /* Name.Attribute */
.highlight .nb  { color: #268BD2 } /* Name.Builtin */
.highlight .nc  { color: #268BD2 } /* Name.Class */
.highlight .no  { color: #268BD2 } /* Name.Constant */
.highlight .nd  { color: #268BD2 } /* Name.Decorator */
.highlight .ni  { color: #268BD2 } /* Name.Entity */
.highlight .ne  { color: #268BD2 } /* Name.Exception */
.highlight .nf  { color: #268BD2 } /* Name.Function */
.highlight .nl  { color: #268BD2 } /* Name.Label */
.highlight .nn  { color: #268BD2 } /* Name.Namespace */
.highlight .nx  { color: #657B83 } /* Name.Other */
.highlight .py  { color: #657B83 } /* Name.Property */
.highlight .nt  { color: #268BD2 } /* Name.Tag */
.highlight .nv  { color: #268BD2 } /* Name.Variable */
.highlight .ow  { color: #859900 } /* Operator.Word */
.highlight .pm  { color: #657B83 } /* Punctuation.Marker */
.highlight .w  { color: #657B83 } /* Text.Whitespace */
.highlight .mb  { color: #2AA198 } /* Literal.Number.Bin */
.highlight .mf  { color: #2AA198 } /* Literal.Number.Float */
.highlight .mh  { color: #2AA198 } /* Literal.Number.Hex */
.highlight .mi  { color: #2AA198 } /* Literal.Number.Integer */
.highlight .mo  { color: #2AA198 } /* Literal.Number.Oct */
.highlight .sa  { color: #2AA198 } /* Literal.String.Affix */
.highlight .sb  { color: #2AA198 } /* Literal.String.Backtick */
.highlight .sc  { color: #2AA198 } /* Literal.String.Char */
.highlight .dl  { color: #2AA198 } /* Literal.String.Delimiter */
.highlight .sd  { color: #93A1A1 } /* Literal.String.Doc */
.highlight .s2  { color: #2AA198 } /* Literal.String.Double */
.highlight .se  { color: #2AA198 } /* Literal.String.Escape */
.highlight .sh  { color: #2AA198 } /* Literal.String.Heredoc */
.highlight .si  { color: #2AA198 } /* Literal.String.Interpol */
.highlight .sx  { color: #2AA198 } /* Literal.String.Other */
.highlight .sr  { color: #CB4B16 } /* Literal.String.Regex */
.highlight .s1  { color: #2AA198 } /* Literal.String.Single */
.highlight .ss  { color: #2AA198 } /* Literal.String.Symbol */
.highlight .bp  { color: #268BD2 } /* Name.Builtin.Pseudo */
.highlight .fm  { color: #268BD2 } /* Name.Function.Magic */
.highlight .vc  { color: #268BD2 } /* Name.Variable.Class */
.highlight .vg  { color: #268BD2 } /* Name.Variable.Global */
.highlight .vi  { color: #268BD2 } /* Name.Variable.Instance */
.highlight .vm  { color: #268BD2 } /* Name.Variable.Magic */
.highlight .il  { color: #2AA198 } /* Literal.Number.Integer.Long */
td.linenos .normal { color: #586e75; background-color: #073642; padding-left: 5px; padding-right: 5px; }
span.linenos { color: #586e75; background-color: #073642; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
html[data-theme="dark"] .highlight .hll  { background-color: #073642 }
html[data-theme="dark"] .highlight .c  { color: #586E75; font-style: italic } /* Comment */
html[data-theme="dark"] .highlight .err  { color: #839496; background-color: #DC322F } /* Error */
html[data-theme="dark"] .highlight .esc  { color: #839496 } /* Escape */
html[data-theme="dark"] .highlight .g  { color: #839496 } /* Generic */
html[data-theme="dark"] .highlight .k  { color: #859900 } /* Keyword */
html[data-theme="dark"] .highlight .l  { color: #839496 } /* Literal */
html[data-theme="dark"] .highlight .n  { color: #839496 } /* Name */
html[data-theme="dark"] .highlight .o  { color: #586E75 } /* Operator */
html[data-theme="dark"] .highlight .x  { color: #839496 } /* Other */
html[data-theme="dark"] .highlight .p  { color: #839496 } /* Punctuation */
html[data-theme="dark"] .highlight .ch  { color: #586E75; font-style: italic } /* Comment.Hashbang */
html[data-theme="dark"] .highlight .cm  { color: #586E75; font-style: italic } /* Comment.Multiline */
html[data-theme="dark"] .highlight .cp  { color: #D33682 } /* Comment.Preproc */
html[data-theme="dark"] .highlight .cpf  { color: #586E75 } /* Comment.PreprocFile */
html[data-theme="dark"] .highlight .c1  { color: #586E75; font-style: italic } /* Comment.Single */
html[data-theme="dark"] .highlight .cs  { color: #586E75; font-style: italic } /* Comment.Special */
html[data-theme="dark"] .highlight .gd  { color: #DC322F } /* Generic.Deleted */
html[data-theme="dark"] .highlight .ge  { color: #839496; font-style: italic } /* Generic.Emph */
html[data-theme="dark"] .highlight .ges  { color: #839496; font-weight: bold; font-style: italic } /* Generic.EmphStrong */
html[data-theme="dark"] .highlight .gr  { color: #DC322F } /* Generic.Error */
html[data-theme="dark"] .highlight .gh  { color: #839496; font-weight: bold } /* Generic.Heading */
html[data-theme="dark"] .highlight .gi  { color: #859900 } /* Generic.Inserted */
html[data-theme="dark"] .highlight .go  { color: #839496 } /* Generic.Output */
html[data-theme="dark"] .highlight .gp  { color: #268BD2; font-weight: bold } /* Generic.Prompt */
html[data-theme="dark"] .highlight .gs  { color: #839496; font-weight: bold } /* Generic.Strong */
html[data-theme="dark"] .highlight .gu  { color: #839496; text-decoration: underline } /* Generic.Subheading */
html[data-theme="dark"] .highlight .gt  { color: #268BD2 } /* Generic.Traceback */
html[data-theme="dark"] .highlight .kc  { color: #2AA198 } /* Keyword.Constant */
html[data-theme="dark"] .highlight .kd  { color: #2AA198 } /* Keyword.Declaration */
html[data-theme="dark"] .highlight .kn  { color: #CB4B16 } /* Keyword.Namespace */
html[data-theme="dark"] .highlight .kp  { color: #859900 } /* Keyword.Pseudo */
html[data-theme="dark"] .highlight .kr  { color: #859900 } /* Keyword.Reserved */
html[data-theme="dark"] .highlight .kt  { color: #B58900 } /* Keyword.Type */
html[data-theme="dark"] .highlight .ld  { color: #839496 } /* Literal.Date */
html[data-theme="dark"] .highlight .m  { color: #2AA198 } /* Literal.Number */
html[data-theme="dark"] .highlight .s  { color: #2AA198 } /* Literal.String */
html[data-theme="dark"] .highlight .na  { color: #839496 } /* Name.Attribute */
html[data-theme="dark"] .highlight .nb  { color: #268BD2 } /* Name.Builtin */
html[data-theme="dark"] .highlight .nc  { color: #268BD2 } /* Name.Class */
html[data-theme="dark"] .highlight .no  { color: #268BD2 } /* Name.Constant */
html[data-theme="dark"] .highlight .nd  { color: #268BD2 } /* Name.Decorator */
html[data-theme="dark"] .highlight .ni  { color: #268BD2 } /* Name.Entity */
html[data-theme="dark"] .highlight .ne  { color: #268BD2 } /* Name.Exception */
html[data-theme="dark"] .highlight .nf  { color: #268BD2 } /* Name.Function */
html[data-theme="dark"] .highlight .nl  { color: #268BD2 } /* Name.Label */
html[data-theme="dark"] .highlight .nn  { color: #268BD2 } /* Name.Namespace */
html[data-theme="dark"] .highlight .nx  { color: #839496 } /* Name.Other */
html[data-theme="dark"] .highlight .py  { color: #839496 } /* Name.Property */
html[data-theme="dark"] .highlight .nt  { color: #268BD2 } /* Name.Tag */
html[data-theme="dark"] .highlight .nv  { color: #268BD2 } /* Name.Variable */
html[data-theme="dark"] .highlight .ow  { color: #859900 } /* Operator.Word */
html[data-theme="dark"] .highlight .pm  { color: #839496 } /* Punctuation.Marker */
html[data-theme="dark"] .highlight .w  { color: #839496 } /* Text.Whitespace */
html[data-theme="dark"] .highlight .mb  { color: #2AA198 } /* Literal.Number.Bin */
html[data-theme="dark"] .highlight .mf  { color: #2AA198 } /* Literal.Number.Float */
html[data-theme="dark"] .highlight .mh  { color: #2AA198 } /* Literal.Number.Hex */
html[data-theme="dark"] .highlight .mi  { color: #2AA198 } /* Literal.Number.Integer */
html[data-theme="dark"] .highlight .mo  { color: #2AA198 } /* Literal.Number.Oct */
html[data-theme="dark"] .highlight .sa  { color: #2AA198 } /* Literal.String.Affix */
html[data-theme="dark"] .highlight .sb  { color: #2AA198 } /* Literal.String.Backtick */
html[data-theme="dark"] .highlight .sc  { color: #2AA198 } /* Literal.String.Char */
html[data-theme="dark"] .highlight .dl  { color: #2AA198 } /* Literal.String.Delimiter */
html[data-theme="dark"] .highlight .sd  { color: #586E75 } /* Literal.String.Doc */
html[data-theme="dark"] .highlight .s2  { color: #2AA198 } /* Literal.String.Double */
html[data-theme="dark"] .highlight .se  { color: #2AA198 } /* Literal.String.Escape */
html[data-theme="dark"] .highlight .sh  { color: #2AA198 } /* Literal.String.Heredoc */
html[data-theme="dark"] .highlight .si  { color: #2AA198 } /* Literal.String.Interpol */
html[data-theme="dark"] .highlight .sx  { color: #2AA198 } /* Literal.String.Other */
html[data-theme="dark"] .highlight .sr  { color: #CB4B16 } /* Literal.String.Regex */
html[data-theme="dark"] .highlight .s1  { color: #2AA198 } /* Literal.String.Single */
html[data-theme="dark"] .highlight .ss  { color: #2AA198 } /* Literal.String.Symbol */
html[data-theme="dark"] .highlight .bp  { color: #268BD2 } /* Name.Builtin.Pseudo */
html[data-theme="dark"] .highlight .fm  { color: #268BD2 } /* Name.Function.Magic */
html[data-theme="dark"] .highlight .vc  { color: #268BD2 } /* Name.Variable.Class */
html[data-theme="dark"] .highlight .vg  { color: #268BD2 } /* Name.Variable.Global */
html[data-theme="dark"] .highlight .vi  { color: #268BD2 } /* Name.Variable.Instance */
html[data-theme="dark"] .highlight .vm  { color: #268BD2 } /* Name.Variable.Magic */
html[data-theme="dark"] .highlight .il  { color: #2AA198 } /* Literal.Number.Integer.Long */
